target

A destination for messages. More...

`#include <target.hpp>`

Inheritance diagram for target:
[legend]
Collaboration diagram for target:
[legend]

## Public Types

enum | durability_mode
| The persistence mode of the source or target.
enum | expiry_policy
| When expiration of the source or target begins.

## Public Member Functions

| target ()
| Create an empty target.
std::string | address () const
| The address of the target.
enum durability_mode | durability_mode ()
| Get the durability flag.
enum expiry_policy | expiry_policy () const
| Get the policy for when expiration begins.
duration | timeout () const
| The period after which the source is discarded on expiry. More...
bool | dynamic () const
| True if the remote node is created dynamically.
value | node_properties () const
| Obtain a reference to the AMQP dynamic node properties for the terminus. More...

## Detailed Description

A destination for messages.

See also
  proton::sender, proton::receiver, proton::target

## Member Function Documentation

## node_properties()

value node_properties | ( |  | ) | const

inherited

Obtain a reference to the AMQP dynamic node properties for the terminus.

See also lifetime_policy.

## timeout()

duration timeout | ( |  | ) | const

inherited

The period after which the source is discarded on expiry.

The duration is rounded to the nearest second.

The documentation for this class was generated from the following file:

- proton/target.hpp